Subject: [alpine-devel] new aport gd

From: "Carlo Landmeter" <[email-masked]>
Date: Fri, 30 Jan 2009 13:56:42 +0000

see attached git patch

carlo

From ad4a1d206956bf4ef9fad74c04669720ce3c3a5e Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Fri, 30 Jan 2009 13:55:41 +0000
Subject: [PATCH] extra/gd: new aport

---
 extra/gd/APKBUILD |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)
 create mode 100644 extra/gd/APKBUILD

diff --git a/extra/gd/APKBUILD b/extra/gd/APKBUILD
new file mode 100644
index 0000000..92d5402
--- /dev/null
+++ b/extra/gd/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=gd
+pkgver=2.0.35
+pkgrel=0
+pkgdesc="Library for the dynamic creation of images by programmers"
+url="http://www.libgd.org/"
+license="custom"
+depends="libpng libjpeg freetype zlib"
+makedepends="libpng-dev libjpeg-dev freetype-dev zlib-dev"
+subpackages="$pkgname-dev"
+source="http://www.libgd.org/releases/${pkgname}-${pkgver}.tar.bz2"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--with-png \
+		--with-freetype \
+		--with-jpeg \
+		--without-xpm \
+		--without-fontconfig
+	make || return 1
+	make DESTDIR="$pkgdir" install
+	install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="6c6c3dbb7bf079e0bb5fbbfd3bb8a71c  gd-2.0.35.tar.bz2"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Fri, 30 Jan 2009 16:19:50 +0100

> carlo

applied. thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---